Index: c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 332a2987dbab2ec84d743e2eea1f175b6340f657)
+++ c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
@@ -1,2 +1,12 @@
+2003-12-10	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* console/Makefile.am: Misc cleanups and fixes.
+	* i2c/Makefile.am: Misc cleanups and fixes.
+	* nvram/Makefile.am: Misc cleanups and fixes.
+	* start/Makefile.am: Misc cleanups and fixes.
+	* startup/Makefile.am: Misc cleanups and fixes.
+	* tod/Makefile.am: Misc cleanups and fixes.
+	* wrapup/Makefile.am: Misc cleanups and fixes.
+
 2003-12-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/console/Makefile.am	(revision 332a2987dbab2ec84d743e2eea1f175b6340f657)
+++ c/src/lib/libbsp/m68k/mcf5206elite/console/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
@@ -22,6 +22,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all: $(OBJS) $(PGM)
-
+all-local: $(OBJS) $(PGM)
 .PRECIOUS: $(PGM)
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/i2c/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/i2c/Makefile.am	(revision 332a2987dbab2ec84d743e2eea1f175b6340f657)
+++ c/src/lib/libbsp/m68k/mcf5206elite/i2c/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
@@ -22,6 +22,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all: $(OBJS) $(PGM)
-
+all-local: $(OBJS) $(PGM)
 .PRECIOUS: $(PGM)
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/nvram/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/nvram/Makefile.am	(revision 332a2987dbab2ec84d743e2eea1f175b6340f657)
+++ c/src/lib/libbsp/m68k/mcf5206elite/nvram/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
@@ -22,6 +22,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all: $(OBJS) $(PGM)
-
+all-local: $(OBJS) $(PGM)
 .PRECIOUS: $(PGM)
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/start/Makefile.am	(revision 332a2987dbab2ec84d743e2eea1f175b6340f657)
+++ c/src/lib/libbsp/m68k/mcf5206elite/start/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
@@ -10,4 +10,5 @@
 include $(top_srcdir)/../../../../automake/compile.am
 include $(top_srcdir)/../../../../automake/lib.am
+include $(top_srcdir)/../../bspstart.am
 
 #
@@ -15,18 +16,13 @@
 #
 
-install-data-local: $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-	@$(mkinstalldirs) $(DESTDIR)$(bsplibdir)
-	$(INSTALL_DATA) $< $(DESTDIR)$(bsplibdir)
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(ARCH)/start.$(OBJEXT)
+all-local: $(TMPINSTALL_FILES)
 
 EXTRA_DIST = start.S
 
+${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mcf5206elite/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/startup/Makefile.am	(revision 332a2987dbab2ec84d743e2eea1f175b6340f657)
+++ c/src/lib/libbsp/m68k/mcf5206elite/startup/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
@@ -23,25 +23,24 @@
 	$(make-rel)
 
-$(PROJECT_RELEASE)/lib/gdbinit: gdbinit
-	$(INSTALL_DATA) $< $@
-
-bsplib_DATA = linkcmds gdbinit linkcmds.flash
-
-$(PROJECT_RELEASE)/lib/linkcmds: linkcmds
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_RELEASE)/lib/linkcmds.flash: linkcmds.flash
-	$(INSTALL_DATA) $< $@
+project_lib_DATA = linkcmds gdbinit linkcmds.flash
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds \
-    $(PROJECT_RELEASE)/lib/linkcmds.flash $(PROJECT_RELEASE)/lib/gdbinit
 
-all: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(PGM)
+all-local: $(PGM) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = bspclean.c bspstart.c init5206e.c linkcmds linkcmds.flash \
     gdbinit
 
+${PROJECT_RELEASE}/lib/linkcmds: linkcmds ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/linkcmds
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/linkcmds
+
+${PROJECT_RELEASE}/lib/gdbinit: gdbinit ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/gdbinit
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/gdbinit
+
+${PROJECT_RELEASE}/lib/linkcmds.flash: linkcmds.flash ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/linkcmds.flash
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/linkcmds.flash
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mcf5206elite/tod/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/tod/Makefile.am	(revision 332a2987dbab2ec84d743e2eea1f175b6340f657)
+++ c/src/lib/libbsp/m68k/mcf5206elite/tod/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
@@ -24,6 +24,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all: $(OBJS) $(PGM)
-
+all-local: $(OBJS) $(PGM)
 .PRECIOUS: $(PGM)
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/wrapup/Makefile.am	(revision 332a2987dbab2ec84d743e2eea1f175b6340f657)
+++ c/src/lib/libbsp/m68k/mcf5206elite/wrapup/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
@@ -8,6 +8,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard \
-    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(wildcard \
+OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard \
     ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/*.$(OBJEXT)) \
     $(foreach piece, $(CPU_PIECES), \
@@ -27,5 +27,5 @@
 	$(make-library)
 
-all: $(OBJS) $(LIB) $(TMPINSTALL_FILES)
+all-local: $(LIB)
 
 include $(top_srcdir)/../../../../automake/local.am
